

// Canvas is the accumulator of Sprites for drawing

// Needs to know:
//   textured?
//   colored?
//   vertices

/*

If it is textured. It needs to be rendered with the texture shader which requires a separate
    graphics pipeline. Might as well have a new render pass as well.

Need to pull recreate swapchain out of shader_kernels.rs

I need a second version of shaderkernels



*/


trait Drawable {
    fn draw() {

    }
}

pub struct Canvas {


}

impl Canvas {
    pub fn new() -> Canvas {

        Canvas {

        }

    }

    pub fn draw() ->
}